# test.pro : Self test for the TiffIO plugin.
#
# $Id: demo.pro,v 1.7 2006/01/12 19:10:35 gascuel Exp $
#

TEMPLATE= app
TARGET  = demo

CONFIG -= release Release
CONFIG *= debug qt
win32: CONFIG *= windows
win32: LIBS *= $${QMAKE_LIBS_QT_ENTRY}

# Make it use the installed plugin, by default:
!static-plugin: CONFIG += no-static-plugin

!include( rules.pri )	: error( Unable to find rules.pri )

# Generate code to register the codec at application startup:
no-static-plugin {
    CONFIG *= plugin
} else {
    # Add TiffIO sources :
    !include( TiffIO.pri )	: error( Unable to find TiffIO.pri )

    # Beware : name changes with Qt 4.1 :
    qt4: DEFINES += QT_STATICPLUGIN=1
    qt3: DEFINES += Q_STATIC_PLUGIN=1
}

SOURCES += demo.cpp

qt3 : FORMS += TiffIODemo.ui
qt4 {
    HEADERS += TiffIODemo4.h
    FORMS   += TiffIODemo4.ui
}
